Documentation Index
Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
Use this file to discover all available pages before exploring further.
Interface: CreateLlmScorerVersionParams
Defined in: src/types/scorer.types.ts
Properties
chainPollTemplate?
optional chainPollTemplate: object;
Defined in: src/types/scorer.types.ts
explanation_field_name?
optional explanation_field_name: string;
Explanation Field Name
Description
Field name to look for in the chainpoll response, for the explanation.
Default
metric_description?
optional metric_description: null | string;
Metric Description
Description
Description of what the metric should do.
metric_few_shot_examples?
optional metric_few_shot_examples: object[];
Metric Few Shot Examples
Description
Few-shot examples for the metric.
metric_system_prompt?
optional metric_system_prompt: null | string;
Metric System Prompt
Description
System prompt for the metric.
response_schema?
optional response_schema:
| null
| {
[key: string]: unknown;
};
Response Schema
Description
Response schema for the output
template
Template
Description
Chainpoll prompt template.
value_field_name?
optional value_field_name: string;
Value Field Name
Description
Field name to look for in the chainpoll response, for the rating.
Default
cotEnabled?
optional cotEnabled: boolean;
Defined in: src/types/scorer.types.ts
instructions?
optional instructions: string;
Defined in: src/types/scorer.types.ts
modelName?
optional modelName: string;
Defined in: src/types/scorer.types.ts
numJudges?
optional numJudges: number;
Defined in: src/types/scorer.types.ts
outputType?
optional outputType: OutputType;
Defined in: src/types/scorer.types.ts
scoreableNodeTypes?
optional scoreableNodeTypes: ("agent" | "llm" | "retriever" | "tool" | "workflow" | "trace" | "session")[];
Defined in: src/types/scorer.types.ts
scorerId
Defined in: src/types/scorer.types.ts
userPrompt?
optional userPrompt: string;
Defined in: src/types/scorer.types.ts